Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.transformer
Interface MessageTransformer

All Superinterfaces:
  Disposable, EndpointAware, Initialisable, MessageProcessor, MuleContextAware, NamedObject, Transformer

All Known Implementing Classes:
  AbstractExpressionTransformer, AbstractJmsTransformer, AbstractJsonTransformer, AbstractMessageAwareTransformer, AbstractMessageTransformer, AbstractXmlTransformer, AbstractXStreamTransformer, AnnotatedTransformerProxy, AtomEntryBuilderTransformer, AutoTransformer, BeanBuilderTransformer, DomDocumentToXml, ExpressionTransformer, HttpRequestBodyToParamMap, HttpRequestToBook, HttpRequestToParameter, HttpRequestToParameterMap, JMSMessageToObject, JsonToObject, MessagePropertiesTransformer, MuleMessageToByteArray, MuleMessageToHttpResponse, ObjectToHttpClientMethodRequest, ObjectToJMSMessage, ObjectToJson, ObjectToMimeMessage, ObjectToXml, ObjectToXmppPacket, RestRequestToCustomerRequest, ScriptTransformer, StringToEmailMessage, TransformerChain, TransformerTemplate, XmlToDomDocument, XmlToObject, XmlToOutputHandler, XmlToXMLStreamReader, XmppPacketToObject, XQueryTransformer, XsltTransformer

    public interface MessageTransformer

extends Transformer, MessageProcessor

A transformer intended to transform Mule messages rather than arbitrary objects

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Method Summary
`Object` | `transform(Object src, MuleEvent event)` Thransforms the supplied data and returns the result
`Object` | `transform(Object src, String encoding, MuleEvent event)` Thransforms the supplied data and returns the result

Methods inherited from interface org.mule.api.transformer.Transformer
`getEncoding, getEndpoint, getMimeType, getReturnClass, getReturnDataType, getSourceDataTypes, getSourceTypes, isAcceptNull, isIgnoreBadInput, isSourceDataTypeSupported, isSourceTypeSupported, setReturnClass, setReturnDataType, transform, transform`

Methods inherited from interface org.mule.api.processor.MessageProcessor
`process`

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Methods inherited from interface org.mule.api.NamedObject
`getName, setName`

Methods inherited from interface org.mule.api.context.MuleContextAware
`setMuleContext`

Methods inherited from interface org.mule.endpoint.EndpointAware
`setEndpoint`

Method Detail

### transform

    Object transform(Object src,
                     MuleEvent event)
                     throws TransformerMessagingException

  Thransforms the supplied data and returns the result

  Parameters:
    `src` - the data to transform
    `event` - the event currently being processed
  Returns:
    the transformed data
  Throws:
    `TransformerMessagingException` - if a error occurs transforming the data or if the expected returnClass isn't the same as the transformed data

### transform

    Object transform(Object src,
                     String encoding,
                     MuleEvent event)
                     throws TransformerMessagingException

  Thransforms the supplied data and returns the result

  Parameters:
    `src` - the data to transform
    `encoding` - the encoding to use by this transformer. many transformations will not need encoding unless dealing with text so you only need to use this method if yo wish to customize the encoding
    `event` - the event currently being processed
  Returns:
    the transformed data
  Throws:
    `TransformerMessagingException` - if a error occurs transforming the data or if the expected returnClass isn't the same as the transformed data

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.